package com.xyzc.start.mapper;

import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.App;
import com.xyzc.start.domain.query.AppQuery;
import com.xyzc.start.domain.query.DiscoveryAppQuery;
import com.xyzc.start.domain.vo.AiModelVo;
import com.xyzc.start.domain.vo.AppVo;
import com.xyzc.start.domain.vo.BaseUserSelectAppVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 应用 Mapper接口
 *
 * @author 杨兴卓
 */
@Repository
public interface AppMapper extends BaseMapperPlus<App, AppVo> {


    /**
     * @param appId
     * @param aiModelId
     * @return
     */
    AiModelVo queryAiModelFuel(Long appId, Long aiModelId);


    /**
     * 查询应用列表
     *
     * @param userId
     * @param appQuery
     * @return
     */
    List<BaseUserSelectAppVo> queryDiscoveryAppQuery(Long userId, DiscoveryAppQuery appQuery);

    /**
     * 查询应用列表
     *
     * @param userId
     * @param appQuery
     * @return
     */
    List<BaseUserSelectAppVo> queryAppQuery(Long userId, AppQuery appQuery);

}
