package com.xyzc.start.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xyzc.start.domain.XyConfig;
import com.xyzc.start.domain.vo.XyConfigVo;
import com.xyzc.start.mapper.XyConfigMapper;
import com.xyzc.start.service.IXyConfigService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class XyConfigServiceImple implements IXyConfigService {

    private final XyConfigMapper xyConfigMapper;

    @Override
    public XyConfigVo getUserAgreement() {
        return xyConfigMapper.selectVoOne(
                new LambdaQueryWrapper<XyConfig>()
                        .select(XyConfig::getUserAgreement)
                        .eq(XyConfig::getId, 1L)
        );
    }

    @Override
    public XyConfigVo getPrivacyPolicy() {
        return xyConfigMapper.selectVoOne(
                new LambdaQueryWrapper<XyConfig>()
                        .select(XyConfig::getSecretPolicy)
                        .eq(XyConfig::getId, 1L)
        );
    }
}
